// mycomponent/yz_blank/yz_blank.js
Component({
  /**
   * 组件的属性列表
   */
  properties: {
    datas: {
      type: [Array]
    },
    image: {
      type: String,
      value: null
    },
    //提示文字
    text: {
      type: String,
      value: "暂无信息"
    },
    //按钮是否显示，默认不显示
    isBtn: {
      type: Boolean,
      value: false
    },
    //按钮显示文字
    btnText: {
      type: String,
      value: "返回"
    },
    //按钮跳转链接
    tolink: {
      type: String,
      value: ""
    },
  },

  /**
   * 组件的初始数据
   */
  data: {},

  /**
   * 组件的方法列表
   */
  methods: {
    goUrl() {
      if (this.data.tolink) {
        try {
          wx.navigateTo({
            url: '/' + this.data.tolink,
          });
        } catch (error) {
          wx.reLaunchurl({
            url: '/' + this.data.tolink,
          });
        }
      }


    }
  }
});